import { BaseSDK } from './sdk';
import { TaskTracker, TaskResponse } from '@jolibox/types';
export declare class TaskTrackerSDK extends BaseSDK implements TaskTracker {
    onLevelFinished(levelId: string | number, result: boolean, duration: number): Promise<TaskResponse>;
    onTaskFinished(taskId: string | number, duration: number): Promise<TaskResponse>;
    onTaskEvent(taskId: string | number, params: {
        tools?: {
            id: string | number;
            name: string;
            count?: number;
            description?: string;
            price?: {
                amount: number;
                unit: string;
            };
        }[];
        awards?: {
            id: string | number;
            name: string;
        }[];
    }): Promise<TaskResponse>;
    onLevelUpgrade(levelId: string | number, name: string): Promise<TaskResponse>;
    onHistoryUserLevel(level: number): Promise<TaskResponse>;
    onHistoryUserScore(score: number): Promise<TaskResponse>;
}
